ch.dieseite.colladaloader.coreproc

## Class SimpleDomParser.Element

- java.lang.Object
- - ch.dieseite.colladaloader.coreproc.SimpleDomParser.Element

- Enclosing class:
    SimpleDomParser

      public static class SimpleDomParser.Element
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ArrayList<SimpleDomParser.Element>` | `allchilds`
    `private java.util.HashMap<java.lang.String,java.util.ArrayList<SimpleDomParser.Element>>` | `childgroups`
    `private org.w3c.dom.Node` | `node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Element(org.w3c.dom.Node n)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `addChild(SimpleDomParser.Element e)`
    `java.lang.String` | `getAttrVal(java.lang.String key)`
    `java.util.List<SimpleDomParser.Element>` | `getChildren()` returns elements in natural order
    `java.util.List<SimpleDomParser.Element>` | `getChildrenByName(java.lang.String n)` returns named elements in natural order
    `java.lang.String` | `getName()`
    `java.lang.String` | `getText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allchilds

          private java.util.ArrayList<SimpleDomParser.Element> allchilds

    - #### childgroups

          private java.util.HashMap<java.lang.String,java.util.ArrayList<SimpleDomParser.Element>> childgroups

    - #### node

          private org.w3c.dom.Node node

  - ### Constructor Detail

    - #### Element

          public Element(org.w3c.dom.Node n)

  - ### Method Detail

    - #### addChild

          private void addChild(SimpleDomParser.Element e)

    - #### getText

          public java.lang.String getText()

    - #### getName

          public java.lang.String getName()

    - #### getChildren

          public java.util.List<SimpleDomParser.Element> getChildren()

      returns elements in natural order

    - #### getChildrenByName

          public java.util.List<SimpleDomParser.Element> getChildrenByName(java.lang.String n)

      returns named elements in natural order

    - #### getAttrVal

          public java.lang.String getAttrVal(java.lang.String key)